"use strict";

var _stylelintTestRuleTape = _interopRequireDefault(require("stylelint-test-rule-tape"));

var _index = _interopRequireWildcard(require("../index"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var imageValid = 'https://ramasilveyra.github.io/stylelint-images/media/image-1.png';
var imageDataURI = 'https://ramasilveyra.github.io/stylelint-images/media/image-2.png';
(0, _stylelintTestRuleTape.default)(_index.default, {
  ruleName: _index.ruleName,
  config: 3000,
  accept: [{
    code: `.foo1 {
        background: url("${imageValid}");
      }`
  }, {
    code: `.foo1 {
        background-image: url("${imageValid}");
      }`
  }, {
    code: `.foo1 {
        content: url("${imageValid}");
      }`
  }, {
    code: `.foo2 {
        background: url('${imageValid}');
      }`
  }],
  reject: [{
    code: `.foo1 {
        background: url('${imageDataURI}');
      }`,
    message: _index.messages.expected(imageDataURI),
    line: 2,
    column: 9
  }, {
    code: `.foo1 {
        background-image: url("${imageDataURI}");
      }`,
    message: _index.messages.expected(imageDataURI),
    line: 2,
    column: 9
  }, {
    code: `.foo1 {
        background-image: url("${imageValid}"), url("${imageDataURI}");
      }`,
    message: _index.messages.expected(imageDataURI),
    line: 2,
    column: 9
  }, {
    code: `.foo1 {
        content: url("${imageDataURI}");
      }`,
    message: _index.messages.expected(imageDataURI),
    line: 2,
    column: 9
  }]
});
//# sourceMappingURL=index.js.map